durbinWatsonTest_tidiers {broom} | R Documentation

## Tidy/glance a(n) durbinWatsonTest object

### Description

For models that have only a single component, the `tidy()` and `glance()` methods are identical. Please see the documentation for both of those methods.

### Usage

    ## S3 method for class 'durbinWatsonTest'
    tidy(x, ...)

    ## S3 method for class 'durbinWatsonTest'
    glance(x, ...)

### Arguments

`x` | An object of class `durbinWatsonTest` created by a call to `car::durbinWatsonTest()`.

`...`

Additional arguments. Not used. Needed to match generic signature only. Cautionary note: Misspelled arguments will be absorbed in `...`, where they will be ignored. If the misspelled argument has a default value, the default value will be used. For example, if you pass `conf.lvel = 0.9`, all computation will proceed using `conf.level = 0.95`. Additionally, if you pass `newdata = my_tibble` to an `augment()` method that does not accept a `newdata` argument, it will use the default value for the `data` argument.

### Value

A one-row tibble::tibble with columns:

`statistic` | Test statistic for Durbin-Watson test.
`p.value` | P-value of test statistic.
`autocorrelation` | Residual autocorrelations.
`method` | Always `"Durbin-Watson Test"`.
`alternative` | Alternative hypothesis (character).

### See Also

`tidy()`, `glance()`, `car::durbinWatsonTest()`

### Examples

    dw <- car::durbinWatsonTest(lm(mpg ~ wt, data = mtcars))
    tidy(dw)
    glance(dw)  # same output for all durbinWatsonTests

[Package broom version 0.5.2 Index]